Bug 1500094 (CVE-2017-5123) - CVE-2017-5123 kernel: Missing access_ok() checks in waitid()
Summary: CVE-2017-5123 kernel: Missing access_ok() checks in waitid()
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2017-5123
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1501762
Blocks: 1500095
TreeView+ depends on / blocked
 
Reported: 2017-10-09 20:53 UTC by Adam Mariš
Modified: 2019-09-29 14:23 UTC (History)
48 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
The waitid implementation in upstream kernels did not restrict the target destination to copy information results. This can allow local users to write to otherwise protected kernel memory, which can lead to privilege escalation.
Clone Of:
Environment:
Last Closed: 2017-10-13 15:30:18 UTC


Attachments (Terms of Use)
Proposed patch (1.21 KB, patch)
2017-10-09 20:55 UTC, Adam Mariš
no flags Details | Diff

Description Adam Mariš 2017-10-09 20:53:50 UTC
A flaw was found in the upstream version of the kernels implementation of waitid systemcall.   This flaw was the removal of validation of the target location where the kernel would copy the results.   Previously it would implement a check to restrict the results to be copied to a valid userspace address, a new patch had inadvertently allowed copying to kernel addresses.

An attacker could use this flaw to corrupt memory, panic the machine or possibly allow for arbitary memory writes.

Comment 1 Adam Mariš 2017-10-09 20:53:53 UTC
Acknowledgments:

Name: Chris Salls

Comment 2 Adam Mariš 2017-10-09 20:55:18 UTC
Created attachment 1336563 [details]
Proposed patch

Comment 4 Andrej Nemec 2017-10-13 07:12:44 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1501762]

Comment 5 Andrej Nemec 2017-10-13 07:13:48 UTC
References:

http://seclists.org/oss-sec/2017/q4/78

Comment 6 Andrej Nemec 2017-10-13 15:09:00 UTC
Statement:

This issue did not affect the versions of the Linux kernel as shipped with Red Hat Enterprise Linux as they did not include the upstream commit https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=4c48abe91be03d191d0c20cc755877da2cb35622 that introduced this issue.

Comment 8 Fedora Update System 2017-10-24 05:29:22 UTC
kernel-4.13.8-300.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2017-10-25 21:21:28 UTC
kernel-4.13.8-100.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2017-10-25 23:14:18 UTC
kernel-4.13.8-200.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.